Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# fontselection.hh File Reference

A GtkFontSelection and GtkFontSelectionDiaog C++ wrapper interface. More...

`#include <xfc/gtk/box.hh>`
`#include <xfc/gtk/dialog.hh>`
`#include <gtk/gtkfontsel.h>`
`#include <xfc/gtk/inline/fontselection.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Pango
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::FontSelection
    A GtkFontSelection C++ wrapper class. More...
- class Xfc::Gtk::FontSelectionDialog
    A GtkFontSelectionDialog C++ wrapper class. More...

## Detailed Description

A GtkFontSelection and GtkFontSelectionDiaog C++ wrapper interface.

Provides FontSelection, a widget that lists the available fonts, styles and sizes, allowing the user to select a font, and FontSelectionDialog, a dialog box for selecting fonts.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3